> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook Settings

> Update a Webhook Settings using the data provided in the request body.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json patch /v1/notifications/webhooks/settings/{id}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/settings/{id}:
    patch:
      tags:
        - Webhooks
      summary: Update a Webhook Settings
      description: Update a Webhook Settings using the data provided in the request body.
      operationId: SettingsController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhooksServiceConfigDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSettingsEntity'
        '201':
          description: Successfully updated Webhook Settings data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSettingsEntity'
        '400':
          description: The Webhook Settings data is invalid or incomplete.
        '404':
          description: The Webhook Settings with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    WebhooksServiceConfigDto:
      type: object
      properties:
        url:
          type: string
          format: uri
        enabled:
          type: boolean
      required:
        - url
    WebhookSettingsEntity:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - url
        - enabled
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````